function DeepCopy(orig)
	local orig_type = type(orig)
	local copy

	if orig_type == 'table' then
		copy = {}

		for orig_key, orig_value in next, orig, nil do
			copy[DeepCopy(orig_key)] = DeepCopy(orig_value)
		end

		setmetatable(copy, DeepCopy(getmetatable(orig)))
	else
		copy = orig
	end

	return copy
end

local MoveDefs = DeepCopy(DEFS.moveDefs)
local UnitDefs = DeepCopy(DEFS.unitDefs)
local WeaponDefs = DeepCopy(DEFS.weaponDefs)

for name, mDef in pairs(MoveDefs) do
	mDef.footprintx = 1
	mDef.footprintz = 1
	mDef.heatmapping = false
	mDef.allowRawMovement = true
	mDef.avoidMobilesOnPath = false
	mDef.flowMapping = false
end

for name, uDef in pairs(UnitDefs) do
	uDef.mintransportmass = 0
	uDef.mintransportsize = 0
end

for name, wDef in pairs(WeaponDefs) do
	wDef.avoidFeature = false
	--wDef.avoidFriendly = false
	--wDef.collideFriendly = true
	wDef.allowNonBlockingAim = true
end

DEFS.moveDefs = MoveDefs
DEFS.unitDefs = UnitDefs
DEFS.weaponDefs = WeaponDefs